• 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Quote from xilr »

    What the heck is causing it to want me to install all that stuff? I dont think I can even use any of it :/

    Check the config menu:

    You have "No externals" enabled. Using this option you download every ace lib which is normaly inside the addon folder.

    This shortens the game loading time and reduces bandwith for wowace.com.
    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    On several tests i didn't find any bugs ;)

    Thanks a lot for this rolf !

    Quote from rolfba »

    We have talked about this before, and its almost imposible to know which ace 2 addon to download to get a dependency. For example AceComm-2.0 dosent exist as an addon but is itself embedded in Ace2 addon. Therefor i cant just parse the embeds.xml file and see what embeds are already installed, without first downloading every single addon avaliable on wowace and checking which libs are embedded in them.


    How did you solve that problem?
    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Hmm but if an addon has threat-1.0 as a dependency it will be loaded, if you don't have an addon using it you don't need it...

    But if you still want threatlib maybe a "whitelist" would be useful ;)

    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Quote from rolfba »

    But atm im trying to figure how to classify an addon as a lib. Ie how do you know that a given addon is only used as an embed for other addons, and not any standalone functionality.


    Hmmm in the .toc file there is a Lib: in the Title...

    Threat-1.0 for example:

    Title: Lib: Threat-1.0 |cff7fff7f -Ace2-|r
    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Quote from rolfba »

    Newest version 1.48 adds a new feature:

    "Automatic retrieval of non installed needed embeds".


    Wow, thats a impressive feature... on a quick test it runs GREAT.

    Thanks a lot :)
    Posted in: Updaters
  • 0

    posted a message on Parrot? Link?
    I like this addon, but found 3 bugs in raid.

    [2007/07/08 18:58:13-276-x13]: Parrot-r43183\Display.lua:316: attempt to perform arithmetic on local 'current' (a nil value)

    [2007/07/08 19:06:44-276-x1]: Parrot-r43183\Display.lua:316: attempt to perform arithmetic on local 'current' (a nil value)
    <in C code>: ?
    AceEvent-2.0-40601 (Ace2):269: in function `TriggerEvent'
    AceEvent-2.0-40601 (Ace2):910: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:903>

    [2007/07/08 19:12:10-276-x1]: Parrot-r43183\Display.lua:316: attempt to perform arithmetic on local 'current' (a nil value)
    SpecialEvents-Aura-2.0-41726:109: in function `?'
    AceEvent-2.0-40601 (Ace2):684: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:671>
    <in C code>: ?
    AceEvent-2.0-40601 (Ace2):329: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:310>


    Keep up the good work. (yeah i know it's alpha - but i like to test)

    Edit:
    4th error:
    [2007/07/08 19:39:49-276-x1]: Parrot-r43183\CombatEvents.lua:276: attempt to index local 'data' (a nil value)
    Posted in: General AddOns
  • 0

    posted a message on Incubator - Trash respawn timers
    After we killed Magtheridon the incubator-bars didn't disappear.
    When I tried to remove it manually with shift-click, I get:

    2007/06/28 22:23:10-242-x1]: Incubator-1.65\Core.lua:715: attempt to index field '?' (a nil value)
    Incubator-1.65\Core.lua:677: in function `onclick'
    CandyBar-2.0-41854 (CandyBar):1657: in function `OnClick'
    CandyBar-2.0-41854 (CandyBar):1610: in function <...erface\AddOns\CandyBar\CandyBar-2.0\CandyBar-2.0.lua:1609>
    
     ---


    I have incubator r41193
    Posted in: Raid AddOns
  • 0

    posted a message on Dracul : recent Parser-3.0 builds break it (very unofficial thread)
    Sorry for bumping this old thread, but I get an error,too

    [2007/06/28 20:17:33-242-x1]: Dracul-1.0.28485\Dracul.lua:338: Parser-3.0: ["amount_gt"] = 0, is invalid. Value must be a string or number.
    AceAddon-2.0-40905 (Ace2):919: in function <Interface\AddOns\Ace2\AceAddon-2.0\AceAddon-2.0.lua:912>
    <in C code>: ?
    AceEvent-2.0-40601 (Ace2):232: in function `TriggerEvent'
    AceEvent-2.0-40601 (Ace2):910: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:903>

    ---
    Posted in: General AddOns
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    I love this updater :D

    Posted in: Updaters
  • 0

    posted a message on Official Threat-1.0 error reporting and discussion thread
    Last night we killed Void Reaver for the first time.

    But I had a problem with omen:
    One of our maintanks uses pitbull. He downloaded it a while ago, so the Threat-1.0 embedded was out of date. This is no problem for him beacuse he uses KTM.

    But for me it was a problem, because Omen sync with his outdated Threat-1.0 and not his up-to-date KTM. So I dind't see the the aggro reduce from Voidreavers Knock Away ability.

    Can you make Threat-1.0 sync with whatever is more up-to-date?

    I hope you understand what I mean, my english istn't that good ;)
    Posted in: Libraries
  • 0

    posted a message on Official Threat-1.0 error reporting and discussion thread
    Quote from dodga »

    Just popped up:
    [2007/06/20 00:41:45-1316-x1]: Threat-1.0\Threat-1.0\ThreatClassModuleCore.lua:946: bad argument #1 to 'pairs' (table expected, got nil)



    Yeah got the same
    [2007/06/20 01:59:44-212-x1]: Threat-1.0-40715 (Threat-1.0):892: bad argument #1 to 'pairs' (table expected, got nil)
    
     ---

    I use r40715
    Posted in: Libraries
  • 0

    posted a message on FuBar - QuestsFu
    Using r40605 I get 2 errormessages at startup/reloadui:
    [2007/06/19 01:58:58-206-x1]: FuBar_QuestsFu-r40605\Blizz\Blizz.lua:175: AceHook-2.1: Attempt to hook secure function "QuestLog_Update". Use `SecureHook' or add `true' to the argument list to override.
    AceAddon-2.0-40431 (Ace2):663: in function <Interface\AddOns\Ace2\AceAddon-2.0\AceAddon-2.0.lua:656>
    <in C code>: ?
    AceEvent-2.0-40601 (Ace2):232: in function `TriggerEvent'
    AceEvent-2.0-40601 (Ace2):910: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:903>
    
     ---

    [2007/06/19 01:59:01-206-x1]: FuBar_QuestsFu-r40605\Tracker\Tracker.lua:257: AceHook-2.1: Attempt to hook secure function "AddQuestWatch". Use `SecureHook' or add `true' to the argument list to override.
    Quixote-1.0-34355 (Quixote):146: in function <Interface\AddOns\Quixote\Quixote-1.0\Quixote-1.0.lua:143>
    <in C code>: ?
    AceEvent-2.0-40601 (Ace2):232: in function `TriggerEvent'
    AceEvent-2.0-40601 (Ace2):931: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:929>
    <in C code>: ?
    AceEvent-2.0-40601 (Ace2):329: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:310>
    
     ---
    Posted in: FuBar AddOns
  • 0

    posted a message on FuBar_ThreatFu - light-weight front-end for Threat-1.0 (and its KLHTM support)
    Using r40290 in SSC:

    A raidmember (using KTM) receives this error messages from me (Discordia):
    Posted in: General AddOns
  • 0

    posted a message on Violation
    Hi,

    I found nothing in the todo list or on the wikipage.
    Will there be an option to display only damage of the last fight? I want both last fight and overall, so I can reset after every fight :(

    Also an "in-combat time" counter would be nice, so you can calculate your overall dps.
    Posted in: General AddOns
  • 0

    posted a message on DrDamage - Official Thread
    DrDamge (r39329) doesn't work with Infinibar again ;)

    There is no Errormessage but it looks like this:
    Posted in: General AddOns
  • To post a comment, please or register a new account.